|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QGraphicsView

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QGraphicsView class reference

## Protected Functions

virtual void | drawItems ( QPainter * painter, int numItems, QGraphicsItem *[] items, const QStyleOptionGraphicsItem[] options ) `(obsolete)`

- 2 protected functions inherited from QWidget

## Member Function Documentation

### void QGraphicsView::drawItems ( QPainter * painter, int numItems, QGraphicsItem *[] items, const QStyleOptionGraphicsItem[] options ) `[virtual protected]`

Draws the items items in the scene using painter, after the background and before the foreground are drawn. numItems is the number of items in items and options in options. options is a list of styleoptions; one for each item. Reimplement this function to provide custom item drawing for this view.

The default implementation calls the scene's drawItems() function.

Since Qt 4.6, this function is not called anymore unless the QGraphicsView::IndirectPainting flag is given as an Optimization flag.

See also drawForeground(), drawBackground(), and QGraphicsScene::drawItems().